## The links of a document (tenant:dms:read)

`GET /api/dms/v1/documents/{id}/links`

Module: DMS · operationId: `listDocumentLinks` · Tag: Links · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Responses

- **200** Links (`application/json`)
- **404** Error (`application/json`)

Fields of the 200 answer:

- `items` (array of DocumentLink, required): The links of the document
  - `createdAt` (string (date-time), required): Creation time
  - `createdBy` (string, required): Who created the link
  - `customerNo` (string, required): Customer number of the tenant
  - `documentId` (string (uuid), required): The linked document
  - `id` (string (uuid), required): Link id
  - `relationType` (string, required): Kind of relation, a free code (default ATTACHMENT)
  - `targetId` (string, required): Id of the linked record
  - `targetModule` (string, required): Module of the linked record
  - `targetType` (string, required): Type of the linked record (see TargetType)
  - `tenantName` (string, required): Tenant name
- `total` (integer, required): Number of links

Example 200 answer:

```json
{
  "items": [
    {
      "createdAt": "2026-09-30T08:40:12Z",
      "createdBy": "christina.adler@muster-it.example",
      "customerNo": "99999",
      "documentId": "3f6c2a1e-8b4d-4c7a-9e21-5d0b7a9c1f42",
      "id": "6e8a0c2e-4f6a-4b8c-9d0e-2f4a6c8e0a2c",
      "relationType": "ATTACHMENT",
      "targetId": "70001",
      "targetModule": "masterdata",
      "targetType": "SUPPLIER",
      "tenantName": "DEMO"
    }
  ],
  "total": 1
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/dms/v1/documents/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/links' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
